#include "sensors.h"

bool check_sensors(void) {
	return 0;
}

uint8_t get_temp(struct fancontroled_data * fancontroled_d_ptr, double *val) {
	int sensors_err;
	if ((sensors_err = sensors_get_value(&fancontroled_d_ptr->temp_sensor, fancontroled_d_ptr->temp_sensor_chip_subfeatature_number, val)) == 0) {
		return FANCONTROLED_RETURN_SUCCESS;
	} else {
		return E_FANCONTROLED_SENSORS;
	}
	return E_FANCONTROLED_FAILURE;
}

uint8_t set_fan_speed(struct fancontroled_data * fancontroled_d_ptr, uint8_t val) {
	FILE *f;
	char n[NAME_MAX];
	snprintf(n, NAME_MAX, "%s/%s", fancontroled_d_ptr->fan_sensor.path, fancontroled_d_ptr->fan_write_field);
	if (f = fopen(n, "w")) {
		fprintf(f, "%u", val);
		fclose(f);
	} else {
		return E_FANCONTROLED_FILE_ACCESS;
	}
	return FANCONTROLED_RETURN_SUCCESS;
}
